#pragma once

#include "Definitions.h"
#include "LinearSolverDefs.h"
#include "AbsractPreconditioner.h"
#include "PrecondHBF.h"
#include "Image.h"

class PrecondHBF_stack : public AbsractPreconditioner
{
	size_v totalVarCount;
	uint imgCount;
	vector<size_v> varsInImg;
	vector<PrecondHBF> preconditioners;

public:
	PrecondHBF_stack(size_v _totalVarCount, vector<CShape> imgShapes, int _maxLevels = 0);
	void Apply(size_v n, precise* vec) const;
};

