#include "SparseSymMat_CSR.h"
#include "mkl_rci.h"
#include "mkl_blas.h"
#include "mkl_spblas.h"

#ifdef __USE_MKL__

void 
SparseSymMat_CSR::Multiply_mkl(size_v inLen, size_v outLen, 
							   const precise* inVec, precise* outVec) const
{
	INSIST(inLen  == this->colCount);
	INSIST(outLen == this->rowCount);

	char uplo = 'u';
	mkl_dcsrsymv(&uplo, &outLen, 
				 this->values, this->rowIndices, this->columns, 
				 (precise*) inVec, outVec);
}

#endif

