#pragma once
#include "Image.h"

typedef struct _SparseSolverParams
{
	bool symmetric;
	bool usePrecondHB;
    long unsigned int nonZeroInMatGuess;
	vector<CShape> imgShapes;
	int maxLevelsInPrecond;

	static _SparseSolverParams Default()
	{
		_SparseSolverParams params;
		params.symmetric = true;
		params.usePrecondHB = false;
		params.nonZeroInMatGuess = 0;
		params.maxLevelsInPrecond = INT_MAX;
		return params;
	}
} SparseSolverParams;


//#include "SparseSolver_LasPack.h"
//#define SparseSolver SparseSolver_LasPack

//#include "SparseSolver_CPLEX.h"
//#define SparseSolver SparseSolver_CPLEX

#include "SparseSolver_pro.h"
#define SparseSolver SparseSolver_pro


