#include "GSF_Colorize.h"

GSF_Colorize::Params GSF_Colorize::Params::Default()
{
	return Params(200, false, 1.5f, 0.02f);
}

void GSF_Colorize::Params::Dump(string prefix)
{
	const char* prefixPtr = prefix.c_str();

	printf("\n");
	printf("%s GSF Colorize params:\n", prefixPtr);
	printf("%s   edge sensitivity: %f\n", prefixPtr, this->edgeSensitivity);
	if(this->improvedSDI == true)
		printf("%s   improved SDI:     true\n", prefixPtr);
	else
		printf("%s   improved SDI:     false\n", prefixPtr);
	printf("%s   BF space sigma:   %f\n", prefixPtr, this->bfSpaceS);
	printf("%s   BF sig   sigma:   %f\n", prefixPtr, this->bfSigS);
	printf("\n");
}


