#include "GSF_ELE.h"

GSF_ELE::Params GSF_ELE::Params::Default()
{
	return Params(0.8f, 1500.0f);
}

GSF_ELE::Params GSF_ELE::Params::DefaultInv()
{
	GSF_ELE::Params paramsDef = GSF_ELE::Params::Default();
	return Params(-paramsDef.multiplier, paramsDef.edgeLenNorm);
}

void GSF_ELE::Params::Dump(string prefix)
{
	const char* prefixPtr = prefix.c_str();

	printf("\n");
	printf("%s GSF ELE params:\n", prefixPtr);
	printf("%s  multiplier    - %f\n", prefixPtr, this->multiplier);
	printf("%s  edge len norm - %f\n", prefixPtr, this->edgeLenNorm);
	printf("\n");
}


