#include "GSF_ToneMap.h"

GSF_ToneMap::Params GSF_ToneMap::Params::Default()
{
	return Params(0.05f, 0.9f, 32);
}

void GSF_ToneMap::Params::Dump(string prefix)
{
	const char* prefixPtr = prefix.c_str();

	printf("\n");
	printf("%s GSF Tone Map params:\n", prefixPtr);
	printf("%s  attenFunc (scale, exp) - (%f, %f)\n", prefixPtr, this->attenFuncScale, this->attenFuncExp);		
	printf("\n");
}

