#include "Definitions.h"
#include "OptFileParser.h"
#include "Driver.h"
#include "ColorHelper.h"
#include "ImageIO.h"
#include <omp.h>
#include "Timer.h"
#include "mkl_blas.h"


///*
int 
main(int args, char *argv[]) 
{
	int exitCode = EXIT_SUCCESS;

	//omp_set_num_threads( omp_get_max_threads() );
	//omp_set_dynamic( omp_get_max_threads() );
	//omp_set_nested( omp_get_max_threads() );
	
	if(args < 2)
	{
		printf("[usage] %s options-filename\n", argv[0]);
		exit(EXIT_FAILURE);
	}

	OptFileParser optionsParser;
	OptFileParser::OptFileParams params = optionsParser.Load(argv[1], argv + 2);

	Driver driver(params);
	driver.Start();

	return exitCode;
}
//*/

/* This commented out main function creates the priliminary UI demo of GradientShop */
/*
#include "GS_MainWindow.h"
int
main(int args, char* argv[])
{
	OptFileParser optionsParser;
	OptFileParser::OptFileParams options;
	if(args >= 2)
		options = optionsParser.Load(argv[1], argv + 2);
	else
		options = OptFileParser::OptFileParams::Default();

	GS_MainWindow::GS_MainWindowParams winParams = GS_MainWindow::GS_MainWindowParams::Default();
	winParams.options = options;
	GS_MainWindow win(winParams);
	return Fl::run();
}
//*/
