
if [ $# -ne 5 ];
then
    echo usage: $0 opt_file param_name start_val end_val incr
    exit
fi

OPT_FILE=$1
PARAM_NAME=$2
PARAM_START=$3
PARAM_END=$4
PARAM_INCR=$5

if [ ! -f  $OPT_FILE ];
then
	echo file not found - $OPT_FILE	
fi


MACHINE_COUNT=30

echo $OPT_FILE
echo $PARAM_NAME
echo $PARAM_START
echo $PARAM_END
echo $PARAM_INCR

TEMP_SCRIPT_NAME=./processParam-${RANDOM}.txt
touch ${TEMP_SCRIPT_NAME}
chmod 755 ${TEMP_SCRIPT_NAME}
echo "" > ${TEMP_SCRIPT_NAME}


for param in `seq $PARAM_START $PARAM_INCR $PARAM_END`
do
	echo gf $OPT_FILE $PARAM_NAME=$param ">>" out-$param.txt >> ${TEMP_SCRIPT_NAME}	
done

frames -n $MACHINE_COUNT p ${TEMP_SCRIPT_NAME}
