#include "GS_ProblemInput.h"

GS_ProblemInput::Params GS_ProblemInput::Params::Default()
{
	Params params;
	params.loadOnlyIfExists = false;
	params.loadEmData = params.loadFlowField = false;
	return params;
}

void GS_ProblemInput::Params::Dump(string prefix)
{
	const char* prefixPtr = prefix.c_str();

	printf("\n");
	printf("%s GS Problem input params:\n", prefixPtr);

	printf("%s loadOnlyIfExists - %i\n", prefixPtr, this->loadOnlyIfExists);
	printf("%s loadEmData       - %i\n", prefixPtr, this->loadEmData);
	printf("%s loadFlowField    - %i\n", prefixPtr, this->loadFlowField);

	printf("\n");
}
