#ifndef __GS_PROBLEM_DEFS_H__
#define __GS_PROBLEM_DEFS_H__

#include "Image.h"
#include <set>

/*
 * Definitions for abbreviations
 * GS   - GradientShop
 * GF   - Gradient Field
 * Defs - definitions
 * Aux  - auxilary
 * PL   - ProblemLevel
 * P    - Problem
 */

typedef float imgType;
typedef float flowType;

typedef CImageOf<imgType> GS_Image;

typedef std::set< int, less<int> > Indices;
typedef hash_map<string,void*> HashedPtrs;

#endif

