#ifndef __ABSTRACT_MATRIX_H__
#define __ABSTRACT_MATRIX_H__

#include "LinearSolverDefs.h"

class AbstractMat
{
public:
	virtual ~AbstractMat() {}

	virtual void Multiply(size_v inLen, size_v outLen, 
						  const precise* inVec, precise* outVec) const = 0;

	virtual size_v GetRowCount() const = 0;
	virtual size_v GetColCount() const = 0;
};

#endif

