#include "LinearSolver.h"

LinearSolver::Params LinearSolver::Params::Default()
{
	Params params;
	params.errTolerance   = (precise) 1.0E-6f;
	params.maxIters       = 50;
	
	params.fltErrMaxiters = (params.maxIters / 2) - 1; //maximum iters to allow the accumulation of floating pt errors
	return params;
}

