#ifndef __ABSTRACT_MATRIX_H__
#define __ABSTRACT_MATRIX_H__

#include "LinearSolverDefs.h"

class AbstractMat
{
public:
	virtual void Multiply(int inLen, int outLen, 
						  const precise *inVec, precise *outVec) const = 0;

	virtual int GetRowCount() const = 0;
	virtual int GetColCount() const = 0;
};

#endif