#include "LinearSolver.h"

LinearSolver::LinearSolverParams LinearSolver::LinearSolverParams::Default()
{
	LinearSolverParams params;
	params.errTolerance   = (precise) 1.0E-6;
	params.maxIters       = 50;
	params.fltErrMaxiters = (params.maxIters / 2) - 1; //maximum iters to allow the accumulation of floating pt errors
	return params;
}