#ifndef __GS_FILE_CHOOSER_H__
#define __GS_FILE_CHOOSER_H__

#include "Definitions.h"
#include "GS_UI_Definitions.h"

class GS_FileChooser : public Fl_File_Chooser
{
	int extCount;
	vector<string> extStrs;
	vector<string> extType;

public:
	GS_FileChooser(vector<string> extStrs, 
				   vector<string> extType);

	string GetFileNameChoice(string winTitle, 
							 int fileChooserType, 
							 string defaultExt = "", 
							 bool warnIfFileExists = false);

private:
	string getFilterStr();
	void setFilterIndex(string imgExt);
	string addFileExtIfMissing(string fileName);
};

#endif